CVE-2010-0740

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2010-0740
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2010-0740.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2010-0740
Published
2010-03-26T18:30:00Z
Modified
2024-06-30T12:01:22Z
Summary
[none]
Details

The ssl3getrecord function in ssl/s3_pkt.c in OpenSSL 0.9.8f through 0.9.8m allows remote attackers to cause a denial of service (crash) via a malformed record in a TLS connection that triggers a NULL pointer dereference, related to the minor version number. NOTE: some of these details are obtained from third party information.

References

Affected packages

Debian:11 / openssl

Package

Name
openssl
Purl
pkg:deb/debian/openssl?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.9.8n-1

Ecosystem specific

{
    "urgency": "medium"
}

Debian:12 / openssl

Package

Name
openssl
Purl
pkg:deb/debian/openssl?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.9.8n-1

Ecosystem specific

{
    "urgency": "medium"
}

Debian:13 / openssl

Package

Name
openssl
Purl
pkg:deb/debian/openssl?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.9.8n-1

Ecosystem specific

{
    "urgency": "medium"
}